## python-oslo.upgradecheck 0.3.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=1.3 # BSD
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
PrettyTable<0.8,>=0.7.1 # BSD

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
reno>=2.5.0
openstackdocstheme>=1.18.1

## python-oslo.upgradecheck 0.2.1

=== debian/changelog ===
python-oslo.upgradecheck (0.2.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:05:04 +0000

python-oslo.upgradecheck (0.1.1-0ubuntu1) disco; urgency=medium

  * Initial release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Enable autopkgtest-pkg-python testsuite.
  * d/rules: Set PYTHONPATH when running tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Nov 2018 12:32:34 -0500

=== debian/control ===
Source: python-oslo.upgradecheck
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel (>= 1.3),
 python-enum34 (>= 1.0.4),
 python-hacking (>= 0.10.0),
 python-openstackdocstheme (>= 1.18.1),
 python-oslo.config (>= 5.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslosphinx (>= 2.5.0),
 python-oslotest (>= 1.5.1),
 python-prettytable (>= 0.7.1),
 python-reno (>= 2.5.0),
 python-sphinx (>= 1.6.2),
 python-stestr,
 python3-babel (>= 1.3),
 python3-hacking (>= 0.10.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest (>= 1.5.1),
 python3-prettytable (>= 0.7.1),
 python3-reno (>= 2.5.0),
 python3-stestr,
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.upgradecheck
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.upgradecheck
Homepage: https://launchpad.net/oslo
Testsuite: autopkgtest-pkg-python

Package: python-oslo.upgradecheck
Architecture: all
Depends:
 python-babel (>= 1.3),
 python-enum34 (>= 1.0.4),
 python-oslo.config (>= 5.2.0),
 python-oslo.i18n (>= 3.15.3),
 python-prettytable (>= 0.7.1),
 ${misc:Depends},
 ${python:Depends},
Description: Common code for writing upgrade checks - Python 2
 The oslo.upgradecheck package contains the common code necessary for writing
 upgrade checks in OpenStack projects. It includes a module
 (oslo_upgradecheck.upgradecheck) for the common code as well as an example
 (oslo_upgradecheck.__main__) of integrating that code into a project.
 .
 This package contains the Python 2 module.

Package: python3-oslo.upgradecheck
Architecture: all
Depends:
 python3-babel (>= 1.3),
 python3-oslo.config (>= 5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-prettytable (>= 0.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: Common code for writing upgrade checks - Python 3
 The oslo.upgradecheck package contains the common code necessary for writing
 upgrade checks in OpenStack projects. It includes a module
 (oslo_upgradecheck.upgradecheck) for the common code as well as an example
 (oslo_upgradecheck.__main__) of integrating that code into a project.
 .
 This package contains the Python 3 module.

Package: python-oslo.upgradecheck-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Common code for writing upgrade checks - doc
 The oslo.upgradecheck package contains the common code necessary for writing
 upgrade checks in OpenStack projects. It includes a module
 (oslo_upgradecheck.upgradecheck) for the common code as well as an example
 (oslo_upgradecheck.__main__) of integrating that code into a project.
 .
  This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.upgradecheck.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.upgradecheck-doc/usr/share/doc/python-oslo.upgradecheck-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.upgradecheck 0.3.2

=== debian/changelog ===
python-oslo.upgradecheck (0.3.2-1~bpo10+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@buster-train.debian.net>  Thu, 12 Sep 2019 07:40:12 +0000

python-oslo.upgradecheck (0.3.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Sep 2019 09:37:40 +0200

python-oslo.upgradecheck (0.3.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Fix wrong Vcs-*.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 14:35:20 +0200

python-oslo.upgradecheck (0.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 01:00:36 +0200

python-oslo.upgradecheck (0.2.1-1) experimental; urgency=medium

  * Initial release. (Closes: #925881)

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 21:53:57 +0100

=== debian/control ===
Source: python-oslo.upgradecheck
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 92~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslotest,
 python3-prettytable,
 python3-reno,
 python3-stestr,
 subunit,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.upgradecheck
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.upgradecheck.git
Homepage: https://github.com/openstack/oslo.upgradecheck

Package: python-oslo.upgradecheck-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Common code for writing OpenStack upgrade checks - doc
 This project contains the common code necessary for writing upgrade checks in
 OpenStack projects. It includes a module (oslo_upgradecheck.upgradecheck) for
 the common code as well as an example (oslo_upgradecheck.__main__) of
 integrating that code into a project.
 .
 This package contains the documentation.

Package: python3-oslo.upgradecheck
Architecture: all
Depends:
 python3-babel,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-pbr,
 python3-prettytable,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.upgradecheck-doc,
Description: Common code for writing OpenStack upgrade checks - Python 3.x
 This project contains the common code necessary for writing upgrade checks in
 OpenStack projects. It includes a module (oslo_upgradecheck.upgradecheck) for
 the common code as well as an example (oslo_upgradecheck.__main__) of
 integrating that code into a project.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/oslo.upgradecheck/oslo.upgradecheck-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-oslo.upgradecheck 1.0.0

=== debian/changelog ===
python-oslo.upgradecheck (1.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Add override_dh_auto_clean and override_dh_auto_build.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:02:52 -0400

python-oslo.upgradecheck (0.3.2-0ubuntu1) eoan; urgency=medium

  * New upstream point release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 10:34:44 +0100

python-oslo.upgradecheck (0.3.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:48:56 -0400

python-oslo.upgradecheck (0.2.1-0ubuntu2) eoan; urgency=medium

  * d/control: Drop BDI's on python-* packages.
  * d/control: Drop python-oslo.upgradecheck binary package.
  * d/rules: Tweak to stop build and install of Python 2 parts.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 11 Jul 2019 11:54:55 +0200

## python-oslo.upgradecheck 1.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=2.3.4 # BSD
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx>=1.8.0,!=2.1.0 # BSD
reno>=2.5.0
openstackdocstheme>=1.20.0

=== debian/changelog ===
python-oslo.upgradecheck (1.0.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 15:30:40 -0400

=== debian/control ===
Source: python-oslo.upgradecheck
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.8.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-hacking (>= 0.10.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest (>= 1:1.5.1),
 python3-prettytable (>= 0.7.1),
 python3-reno (>= 2.5.0),
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.upgradecheck
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-oslo.upgradecheck
Homepage: https://launchpad.net/oslo
Testsuite: autopkgtest-pkg-python

Package: python3-oslo.upgradecheck
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-prettytable (>= 0.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: Common code for writing upgrade checks - Python 3
 The oslo.upgradecheck package contains the common code necessary for writing
 upgrade checks in OpenStack projects. It includes a module
 (oslo_upgradecheck.upgradecheck) for the common code as well as an example
 (oslo_upgradecheck.__main__) of integrating that code into a project.
 .
 This package contains the Python 3 module.

Package: python-oslo.upgradecheck-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Common code for writing upgrade checks - doc
 The oslo.upgradecheck package contains the common code necessary for writing
 upgrade checks in OpenStack projects. It includes a module
 (oslo_upgradecheck.upgradecheck) for the common code as well as an example
 (oslo_upgradecheck.__main__) of integrating that code into a project.
 .
  This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,20 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+
+override_dh_auto_clean:
+	rm -rf build
+
+override_dh_auto_build:
+	echo "Do nothing..."
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test
+	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test --no-py2
 endif
 
 override_dh_clean:

## python-oslo.upgradecheck 1.1.1

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-Babel>=2.3.4 # BSD
 oslo.config>=5.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 PrettyTable<0.8,>=0.7.1 # BSD

=== debian/changelog ===
python-oslo.upgradecheck (1.1.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed d/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 10:22:02 +0200

python-oslo.upgradecheck (1.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 11:20:21 +0200

python-oslo.upgradecheck (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-babel from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 21:45:39 +0200

python-oslo.upgradecheck (1.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:24:54 +0200

python-oslo.upgradecheck (1.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 16:00:54 +0200

python-oslo.upgradecheck (0.3.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:53:00 +0200

=== debian/control ===
Source: python-oslo.upgradecheck
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 92~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslotest,
 python3-prettytable,
 python3-reno,
 python3-stestr,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.upgradecheck
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.upgradecheck.git
Homepage: https://github.com/openstack/oslo.upgradecheck

Package: python-oslo.upgradecheck-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Common code for writing OpenStack upgrade checks - doc
 This project contains the common code necessary for writing upgrade checks in
 OpenStack projects. It includes a module (oslo_upgradecheck.upgradecheck) for
 the common code as well as an example (oslo_upgradecheck.__main__) of
 integrating that code into a project.
 .
 This package contains the documentation.

Package: python3-oslo.upgradecheck
Architecture: all
Depends:
 python3-oslo.config,
 python3-oslo.i18n,
 python3-pbr,
 python3-prettytable,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.upgradecheck-doc,
Description: Common code for writing OpenStack upgrade checks - Python 3.x
 This project contains the common code necessary for writing upgrade checks in
 OpenStack projects. It includes a module (oslo_upgradecheck.upgradecheck) for
 the common code as well as an example (oslo_upgradecheck.__main__) of
 integrating that code into a project.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.upgradecheck.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-oslo.upgradecheck-doc/usr/share/doc/python-oslo.upgradecheck-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.upgradecheck/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslo.upgradecheck 1.3.0

=== requirements.txt ===
--- 
+++ 
@@ -5,3 +5,5 @@
 oslo.config>=5.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 PrettyTable<0.8,>=0.7.1 # BSD
+oslo.utils>=4.5.0 # Apache-2.0
+oslo.policy>=2.0.0 # Apache-2.0

=== debian/changelog ===
python-oslo.upgradecheck (1.3.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 21 Jan 2021 16:41:10 +0000

python-oslo.upgradecheck (1.3.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 21 Jan 2021 15:22:13 +0000

python-oslo.upgradecheck (1.2.0-0ubuntu2) hirsute; urgency=medium

  * d/control: Remove unnecessary build-depend (pre-commit).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 04 Dec 2020 13:32:23 +0000

python-oslo.upgradecheck (1.2.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 14:00:36 +0000

python-oslo.upgradecheck (1.1.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:36:49 -0400

python-oslo.upgradecheck (1.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:41:14 -0400

## python-oslo.upgradecheck 1.4.0

=== debian/changelog ===
python-oslo.upgradecheck (1.4.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 14 Jun 2021 11:12:41 +0000

python-oslo.upgradecheck (1.4.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 10 Jun 2021 14:24:19 +0000

=== debian/control ===
Source: python-oslo.upgradecheck
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-hacking (>= 1.1.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.policy (>= 2.0.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.serialization (>= 2.21.1),
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest (>= 1:1.5.1),
 python3-prettytable (>= 0.7.1),
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.upgradecheck
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.upgradecheck
Homepage: https://launchpad.net/oslo
Testsuite: autopkgtest-pkg-python

Package: python3-oslo.upgradecheck
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.policy (>= 2.0.0),
 python3-oslo.utils (>= 4.5.0),
 python3-prettytable (>= 0.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: Common code for writing upgrade checks - Python 3
 The oslo.upgradecheck package contains the common code necessary for writing
 upgrade checks in OpenStack projects. It includes a module
 (oslo_upgradecheck.upgradecheck) for the common code as well as an example
 (oslo_upgradecheck.__main__) of integrating that code into a project.
 .
 This package contains the Python 3 module.

Package: python-oslo.upgradecheck-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Common code for writing upgrade checks - doc
 The oslo.upgradecheck package contains the common code necessary for writing
 upgrade checks in OpenStack projects. It includes a module
 (oslo_upgradecheck.upgradecheck) for the common code as well as an example
 (oslo_upgradecheck.__main__) of integrating that code into a project.
 .
  This package contains the documentation.

## python-oslo.upgradecheck 1.5.0

=== debian/changelog ===
python-oslo.upgradecheck (1.5.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 15:44:26 -0500

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-babel (>= 2.3.4),
- python3-hacking (>= 1.1.0),
+ python3-hacking,
  python3-openstackdocstheme (>= 2.2.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),
@@ -22,7 +22,7 @@
  python3-oslo.utils (>= 4.5.0),
  python3-oslo.serialization (>= 2.21.1),
  python3-oslosphinx (>= 2.5.0),
- python3-oslotest (>= 1:1.5.1),
+ python3-oslotest (>= 1:3.5.0),
  python3-prettytable (>= 0.7.1),
  python3-stestr (>= 2.0.0),
  python3-subunit,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/oslo.upgradecheck/ oslo.upgradecheck-(\d.*)\.tar\.gz

## python-oslo.upgradecheck 2.0.0

=== debian/changelog ===
python-oslo.upgradecheck (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:58:31 +0200

python-oslo.upgradecheck (2.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 16:53:13 +0200

python-oslo.upgradecheck (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 09:21:49 +0100

python-oslo.upgradecheck (1.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 12:31:08 +0100

python-oslo.upgradecheck (1.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:01:34 +0200

python-oslo.upgradecheck (1.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 15:14:27 +0200

python-oslo.upgradecheck (1.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:23:48 +0200

python-oslo.upgradecheck (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 09:34:29 +0100

## python-oslo.upgradecheck 2.1.1

=== debian/changelog ===
python-oslo.upgradecheck (2.1.1-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 28 Feb 2023 19:12:17 +0000

python-oslo.upgradecheck (2.1.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Feb 2023 08:33:27 -0500

python-oslo.upgradecheck (2.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:24:02 -0500

python-oslo.upgradecheck (2.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Bump debhelper compat to 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:27:51 -0400

## python-oslo.upgradecheck 2.2.0

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,6 @@
 
 oslo.config>=5.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
-PrettyTable<0.8,>=0.7.1 # BSD
+PrettyTable>=0.7.1 # BSD
 oslo.utils>=4.5.0 # Apache-2.0
 oslo.policy>=2.0.0 # Apache-2.0

=== debian/changelog ===
python-oslo.upgradecheck (2.2.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 31 Aug 2023 21:58:14 +0000

python-oslo.upgradecheck (2.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:57:10 -0400

## python-oslo.upgradecheck 2.3.0

=== requirements.txt ===
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
PrettyTable>=0.7.1 # BSD
oslo.utils>=4.5.0 # Apache-2.0
oslo.policy>=2.0.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0
openstackdocstheme>=2.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.upgradecheck (2.3.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 11:52:28 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=oslo_upgradecheck

UPSTREAM_GIT := https://github.com/openstack/oslo.upgradecheck.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test --no-py2
endif

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-oslo.upgradecheck-doc/usr/share/doc/python-oslo.upgradecheck-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-oslo.upgradecheck 2.4.0

=== debian/changelog ===
python-oslo.upgradecheck (2.4.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090580).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:29:19 +0100

python-oslo.upgradecheck (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 18:06:53 +0200

python-oslo.upgradecheck (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 17:26:47 +0200

python-oslo.upgradecheck (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:46:59 +0200

python-oslo.upgradecheck (2.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 22:53:06 +0100

python-oslo.upgradecheck (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:11:21 +0200

python-oslo.upgradecheck (2.2.0-1) experimental; urgency=medium

  * New usptream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 15:18:28 +0200

python-oslo.upgradecheck (2.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:45:26 +0200

python-oslo.upgradecheck (2.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 11:38:55 +0100

=== debian/control ===
Source: python-oslo.upgradecheck
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 92~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.policy,
 python3-oslo.utils,
 python3-oslotest,
 python3-prettytable,
 python3-reno,
 python3-stestr,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.upgradecheck
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.upgradecheck.git
Homepage: https://github.com/openstack/oslo.upgradecheck

Package: python-oslo.upgradecheck-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Common code for writing OpenStack upgrade checks - doc
 This project contains the common code necessary for writing upgrade checks in
 OpenStack projects. It includes a module (oslo_upgradecheck.upgradecheck) for
 the common code as well as an example (oslo_upgradecheck.__main__) of
 integrating that code into a project.
 .
 This package contains the documentation.

Package: python3-oslo.upgradecheck
Architecture: all
Depends:
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.policy,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-oslo.upgradecheck-doc,
Description: Common code for writing OpenStack upgrade checks - Python 3.x
 This project contains the common code necessary for writing upgrade checks in
 OpenStack projects. It includes a module (oslo_upgradecheck.upgradecheck) for
 the common code as well as an example (oslo_upgradecheck.__main__) of
 integrating that code into a project.
 .
 This package contains the Python 3.x module.

## python-oslo.upgradecheck 2.5.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 oslo.config>=5.2.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 PrettyTable>=0.7.1 # BSD

=== doc/requirements.txt ===
sphinx>=2.0.0 # BSD
reno>=3.1.0 # Apache-2.0
openstackdocstheme>=2.2.0 # Apache-2.0

=== debian/changelog ===
python-oslo.upgradecheck (2.5.0-3~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 28 Mar 2025 09:42:49 +0000

python-oslo.upgradecheck (2.5.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:38:58 +0100

python-oslo.upgradecheck (2.5.0-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 16:43:14 +0100

python-oslo.upgradecheck (2.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-hacking from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 17:46:54 +0100

## python-oslo.upgradecheck 2.6.0

=== debian/changelog ===
python-oslo.upgradecheck (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 21:28:52 +0200

python-oslo.upgradecheck (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 17:15:41 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- python3-hacking,
  python3-openstackdocstheme,
  python3-oslo.config,
  python3-oslo.i18n,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.upgradecheck.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-oslo.upgradecheck-doc/usr/share/doc/python-oslo.upgradecheck-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.upgradecheck refs/tags/(\d[brc\d\.]+)

## python-oslo.upgradecheck 2.7.0

=== debian/changelog ===
python-oslo.upgradecheck (2.7.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 2.7.0
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Wed, 21 Jan 2026 11:07:01 -0800

python-oslo.upgradecheck (2.6.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 15 Sep 2025 11:27:45 -0700

python-oslo.upgradecheck (2.5.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:54:21 +0000

python-oslo.upgradecheck (2.4.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 14:28:51 +0100

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/oslo.upgradecheck/ oslo[._]upgradecheck-(\d.*)\.tar\.gz

## python-oslo.upgradecheck 2.7.1

=== debian/changelog ===
python-oslo.upgradecheck (2.7.1-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.
  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Feb 2026 23:56:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr *.egg-info
+	rm -rf build .stestr *.egg-info .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
